# Uses of Class
org.kapott.hbci.sepa.PainVersion

Packages that use PainVersion
Package
Description
org.kapott.hbci.sepa

## Uses of PainVersion in org.kapott.hbci.sepa

Fields in org.kapott.hbci.sepa declared as PainVersion
Modifier and Type
Field
Description
`static PainVersion`
PainVersion.`PAIN_001_001_02`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_001_001_03`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_001_002_02`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_001_002_03`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_001_003_03`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_002_001_03`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_002_002_02`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_002_003_03`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_008_001_01`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_008_001_02`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_008_002_01`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_008_002_02`
Deprecated.
`static PainVersion`
PainVersion.`PAIN_008_003_02`
Deprecated.
Methods in org.kapott.hbci.sepa that return PainVersion
Modifier and Type
Method
Description
`static PainVersion`
PainVersion.`autodetect(InputStream xml)`
Deprecated.
Ermittelt die PAIN-Version aus dem uebergebenen XML-Stream.
`static PainVersion`
PainVersion.`byURN(String urn)`
Deprecated.
Liefert die PAIN-Version aus dem URN.
`static PainVersion`
PainVersion.`choose(String sepadesc, String sepadata)`
Deprecated.
Die Bank sendet in ihren Antworten sowohl den SEPA-Deskriptor als auch die SEPA-Daten (die XML-Datei) selbst.
`static PainVersion`
PainVersion.`findGreatest(List<PainVersion> list)`
Deprecated.
Findet in den der Liste die hoechste Pain-Version.
Methods in org.kapott.hbci.sepa that return types with arguments of type PainVersion
Modifier and Type
Method
Description
`static List<PainVersion>`
PainVersion.`getKnownVersions(PainVersion.Type t)`
Deprecated.
Liefert eine Liste der bekannten PAIN-Versionen fuer den angegebenen Typ.
Methods in org.kapott.hbci.sepa with parameters of type PainVersion
Modifier and Type
Method
Description
`int`
PainVersion.`compareTo(PainVersion v)`
Deprecated.
Method parameters in org.kapott.hbci.sepa with type arguments of type PainVersion
Modifier and Type
Method
Description
`static PainVersion`
PainVersion.`findGreatest(List<PainVersion> list)`
Deprecated.
Findet in den der Liste die hoechste Pain-Version.